using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Takmicenje_2
{
    class Program
    {
        static void Main(string[] args)
        {
            int n, m, i, j,br = 0, k, ukupnasreca = 0, ukupnasreca2 = 0;
            string[] unos = Console.ReadLine().Split();
            n = int.Parse(unos[0]);
            m = int.Parse(unos[1]);
            int[] prijateljstva = new int[n + 1];
            int[] druzeljubivost = new int[n];
            for (i = 0; i < n; i++)
            {
                druzeljubivost[i] = int.Parse(Console.ReadLine());
                if (druzeljubivost[i] < 0)
                    br++;
            }
            for (j = 0; j < m; j++)
            {
                string[] niz = Console.ReadLine().Split();
                int prvi = Int32.Parse(niz[0]);
                int drugi = Int32.Parse(niz[1]);
                if (br == 0)
                {
                    prijateljstva[prvi - 1]++;
                    prijateljstva[drugi - 1]++;
                }
                else
                {
                    prijateljstva[prvi - 1]--;
                    prijateljstva[drugi - 1]--;
                }
            }
            for (k = 0; k < n; k++)
            {
                ukupnasreca += druzeljubivost[k] * prijateljstva[k];
                ukupnasreca2 += druzeljubivost[k] * -prijateljstva[k];
            }
            if (ukupnasreca > ukupnasreca2)
                Console.WriteLine("{0}", ukupnasreca);
            else
                Console.WriteLine("{0}", ukupnasreca2);
            Console.ReadLine();
        }
    }
}